Skip to main content
GET
Latency detail records and segments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

request_id
string

Request identifier.

from_ns
integer<int64>

Start of the time window as epoch nanoseconds.

to_ns
integer<int64>

End of the time window as epoch nanoseconds.

message_type
string

Optional message type filter.

limit
integer

Page size. Defaults to 200; capped by the per-API max limit.

Required range: x >= 1
offset
integer

Zero-based number of records to skip.

Required range: x >= 0

Response

Latency detail result

Latency detail response.

request_id
string

Request identifier.

from_time
integer<int64>

Start of the response time window in epoch nanoseconds.

to_time
integer<int64>

End of the response time window in epoch nanoseconds.

message_type
string

Message type filter or message type reported by the record.

limit
integer

Maximum number of records returned.

offset
integer

Zero-based number of records skipped before returning results.

count
integer

Number of records in the response page or aggregation.

events
object[]

Latency detail records returned for the current page.

segments
object[]

Latency segments returned for the current page.